%define upstream_name    Module-Runtime
%define upstream_version 0.018

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Runtime module handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The functions exported by this module deal with runtime handling of Perl
modules, which are normally handled at compile time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Apr 25 2025 tv <tv> 0.18.0-1.mga10
+ Revision: 2178634
- update to 0.018

* Sat Apr 12 2025 tv <tv> 0.17.0-1.mga10
+ Revision: 2174866
- update to 0.017

* Mon Mar 21 2022 umeabot <umeabot> 0.16.0-4.mga9
+ Revision: 1809752
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.16.0-3.mga8
+ Revision: 1505260
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.16.0-2.mga7
+ Revision: 1284870
- Mageia 7 Mass Rebuild

* Wed Oct 18 2017 tv <tv> 0.16.0-1.mga7
+ Revision: 1172649
- update to 0.016

* Sat Jul 22 2017 shlomif <shlomif> 0.15.0-1.mga7
+ Revision: 1128787
- update to 0.015

* Sun Jun 19 2016 pterjan <pterjan> 0.14.0-5.mga6
+ Revision: 1030292
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.14.0-4.mga6
+ Revision: 935418
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.14.0-3.mga5
+ Revision: 749247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.14.0-2.mga5
+ Revision: 685474
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.14.0-1.mga5
+ Revision: 588498
- update to 0.014

* Fri Oct 18 2013 umeabot <umeabot> 0.13.0-3.mga4
+ Revision: 513079
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 369973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 kharec <kharec> 0.13.0-1.mga2
+ Revision: 212136
- update to 0.013

* Fri Nov 04 2011 jquelin <jquelin> 0.11.0-1.mga2
+ Revision: 162672
- update to 0.011

* Fri Oct 14 2011 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 154790
- update to 0.010

* Fri Jun 17 2011 jquelin <jquelin> 0.8.0-1.mga2
+ Revision: 108889
- update to 0.008

* Tue Jan 18 2011 jquelin <jquelin> 0.7.0-2.mga1
+ Revision: 23349
- cleaning spec file
- imported package perl-Module-Runtime

